Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000077Core InformScenespublic2010-06-20 01:082010-07-01 23:07
ReporterRon Newcomb 
Assigned To 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
PlatformPPCOSMac OS XOS Version10.4
Product Version6E59 
Target VersionFixed in Version6E72 
Summary0000077: explicit listing a rule after "scene change machinery rule" works but never runs. (with solution?)
DescriptionSimilar to previous bug. While "Last scene changing rule" won't list a rule last, the "is listed last" directive will. However, the rule placed just so won't run.

For the example, I get this transcript:
--------------

First.

last scene changing rule redux
An Interactive Fiction by Ron Newcomb
Release 1 / Serial number 100620 / Inform 7 build 6E59 (I6/v6.31 lib 6/12N) SD

spot

>test me
(Testing.)

>[1] z
Time passes.

First.

First.

>[2] z
Time passes.

First.

First.

>[3] z
Time passes.

First.

First.

>
Minimal Source Text To Reproduce
"last scene changing rule redux" by Ron Newcomb


First scene changing rule: say "First."

Scene changing rule (this is the second correcting for off-by-one rule): say "Last."

The second correcting for off-by-one rule is listed after the scene change machinery rule in the scene 
changing rulebook. 

spot is room. 

test me with "z/z/z".
Additional InformationThe possible solution: I6 function DetectSceneChange() should end with a "rfalse"?

-------I6 code------------

    .CScene;
    if (chs>10) ">--> The scene change machinery is stuck.";

    if (ch>0) DetectSceneChange(++chs);

    rfalse; ! INSERT THIS HERE??
];
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships
related to 0000075closedgraham "Last scene changing rule" isn't. 

-  Notes
(0000092)
jmcgrew (administrator)
2010-06-20 10:35

Graham mentioned in 0000075:0000074 that this has been fixed.

- Issue History
Date Modified Username Field Change
2010-06-20 01:08 Ron Newcomb New Issue
2010-06-20 01:14 jmcgrew Status new => confirmed
2010-06-20 10:32 jmcgrew Relationship added related to 0000075
2010-06-20 10:35 jmcgrew Note Added: 0000092
2010-06-20 10:35 jmcgrew Status confirmed => resolved
2010-06-20 10:35 jmcgrew Resolution open => fixed
2010-06-30 18:07 jmcgrew Fixed in Version => 6E72
2010-07-01 23:07 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker